#version 330

precision highp float;

uniform float blurSize;

in vec4 vVertex;
in vec2 vTexCoords;

smooth out vec2 vTexCoord;
out vec2 vTCs[14];

void main(void)
{
    vTexCoord.st = vTexCoords.st;
	for(int i = 0; i < 7; i++) {
		vTCs[i] = vec2(vTexCoord.s-((6-i)*blurSize), vTexCoord.t);
		vTCs[13-i] = vec2(vTexCoord.s+((6-i)*blurSize), vTexCoord.t);
	}
    gl_Position = vVertex;
}